Fix upgrade path from v1.17.1 to v1.18.x for deb packages (#7118)
Konstantinos Natsakis committed
Oct 18, 2019 at 16:56 UTC
eb01440d2a88fd162f4063a11cd476e185f913ee
8 files changed
+47
contrib/debian/control
+1
@@ -50,6 +50,7 @@ Depends: adduser,
50
libprotoc10,
51
${misc:Depends},
52
${shlibs:Depends}
53
+Pre-Depends: dpkg (>= 1.17.14)
54
Description: real-time charts for system monitoring
55
Netdata is a daemon that collects data in realtime (per second)
56
and presents a web site to view and analyze them. The presentation
contrib/debian/control.buster
+1
@@ -50,6 +50,7 @@ Depends: adduser,
50
libprotoc17,
51
${misc:Depends},
52
${shlibs:Depends}
53
+Pre-Depends: dpkg (>= 1.17.14)
54
Description: real-time charts for system monitoring
55
Netdata is a daemon that collects data in realtime (per second)
56
and presents a web site to view and analyze them. The presentation
contrib/debian/control.jessie
+1
@@ -48,6 +48,7 @@ Depends: adduser,
48
libprotoc10,
49
${misc:Depends},
50
${shlibs:Depends}
51
+Pre-Depends: dpkg (>= 1.17.14)
52
Description: real-time charts for system monitoring
53
Netdata is a daemon that collects data in realtime (per second)
54
and presents a web site to view and analyze them. The presentation
contrib/debian/control.trusty
+1
@@ -48,6 +48,7 @@ Depends: adduser,
48
libprotoc8,
49
${misc:Depends},
50
${shlibs:Depends}
51
+Pre-Depends: dpkg (>= 1.17.14)
52
Description: real-time charts for system monitoring
53
Netdata is a daemon that collects data in realtime (per second)
54
and presents a web site to view and analyze them. The presentation
contrib/debian/control.xenial
+1
@@ -50,6 +50,7 @@ Depends: adduser,
50
libprotoc9v5,
51
${misc:Depends},
52
${shlibs:Depends}
53
+Pre-Depends: dpkg (>= 1.17.14)
54
Description: real-time charts for system monitoring
55
Netdata is a daemon that collects data in realtime (per second)
56
and presents a web site to view and analyze them. The presentation
contrib/debian/netdata.postinst.in
+13
@@ -2,6 +2,19 @@
2
3
set -e
4
5
+dpkg-maintscript-helper dir_to_symlink \
6
+ /var/lib/netdata/www/.well-known /usr/share/netdata/www/.well-known 1.18.1~ netdata -- "$@"
7
+dpkg-maintscript-helper dir_to_symlink \
8
+ /var/lib/netdata/www/css /usr/share/netdata/www/css 1.18.1~ netdata -- "$@"
9
+dpkg-maintscript-helper dir_to_symlink \
10
+ /var/lib/netdata/www/fonts /usr/share/netdata/www/fonts 1.18.1~ netdata -- "$@"
11
+dpkg-maintscript-helper dir_to_symlink \
12
+ /var/lib/netdata/www/images /usr/share/netdata/www/images 1.18.1~ netdata -- "$@"
13
+dpkg-maintscript-helper dir_to_symlink \
14
+ /var/lib/netdata/www/lib /usr/share/netdata/www/lib 1.18.1~ netdata -- "$@"
15
+dpkg-maintscript-helper dir_to_symlink \
16
+ /var/lib/netdata/www/static /usr/share/netdata/www/static 1.18.1~ netdata -- "$@"
17
+
18
case "$1" in
19
configure)
20
if [ -z "$2" ]; then
contrib/debian/netdata.postrm
+13
@@ -2,6 +2,19 @@
2
3
set -e
4
5
+dpkg-maintscript-helper dir_to_symlink \
6
+ /var/lib/netdata/www/.well-known /usr/share/netdata/www/.well-known 1.18.1~ netdata -- "$@"
7
+dpkg-maintscript-helper dir_to_symlink \
8
+ /var/lib/netdata/www/css /usr/share/netdata/www/css 1.18.1~ netdata -- "$@"
9
+dpkg-maintscript-helper dir_to_symlink \
10
+ /var/lib/netdata/www/fonts /usr/share/netdata/www/fonts 1.18.1~ netdata -- "$@"
11
+dpkg-maintscript-helper dir_to_symlink \
12
+ /var/lib/netdata/www/images /usr/share/netdata/www/images 1.18.1~ netdata -- "$@"
13
+dpkg-maintscript-helper dir_to_symlink \
14
+ /var/lib/netdata/www/lib /usr/share/netdata/www/lib 1.18.1~ netdata -- "$@"
15
+dpkg-maintscript-helper dir_to_symlink \
16
+ /var/lib/netdata/www/static /usr/share/netdata/www/static 1.18.1~ netdata -- "$@"
17
+
18
case "$1" in
19
remove)
20
;;
contrib/debian/netdata.preinst
new
+16
@@ -0,0 +1,16 @@
1
+#!/bin/sh
2
+
3
+set -e
4
+
5
+dpkg-maintscript-helper dir_to_symlink \
6
+ /var/lib/netdata/www/.well-known /usr/share/netdata/www/.well-known 1.18.1~ netdata -- "$@"
7
+dpkg-maintscript-helper dir_to_symlink \
8
+ /var/lib/netdata/www/css /usr/share/netdata/www/css 1.18.1~ netdata -- "$@"
9
+dpkg-maintscript-helper dir_to_symlink \
10
+ /var/lib/netdata/www/fonts /usr/share/netdata/www/fonts 1.18.1~ netdata -- "$@"
11
+dpkg-maintscript-helper dir_to_symlink \
12
+ /var/lib/netdata/www/images /usr/share/netdata/www/images 1.18.1~ netdata -- "$@"
13
+dpkg-maintscript-helper dir_to_symlink \
14
+ /var/lib/netdata/www/lib /usr/share/netdata/www/lib 1.18.1~ netdata -- "$@"
15
+dpkg-maintscript-helper dir_to_symlink \
16
+ /var/lib/netdata/www/static /usr/share/netdata/www/static 1.18.1~ netdata -- "$@"